Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.tracking.events
Class UserRegistrationEvent

    java.lang.Object
      com.bea.p13n.property.AbstractConfigurableEntity
          com.bea.p13n.events.Event
              com.bea.p13n.tracking.events.TrackingEvent
                  com.bea.p13n.tracking.events.UserRegistrationEvent

All Implemented Interfaces
  EventConstants, ConfigurableEntity, Serializable

    public class UserRegistrationEvent

extends TrackingEvent

Event for tracking a user registration

See Also
  Serialized Form

Field Summary
`static String` | `TRACKED_ANONYMOUS_ID` Event attribute key name for tracking id Attribute value is a String
`static String` | `TYPE` Event Type

Fields inherited from class com.bea.p13n.tracking.events.TrackingEvent
`REQUEST, SESSION_ID, USER_ID, USER_TYPE`

Fields inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`CE_METHOD_CACHE, instanceClass, PREFIX_GET, PREFIX_SET, propertyCache, textFormatter`

Fields inherited from interface com.bea.p13n.property.ConfigurableEntity
`RESERVED_PROPERTY_SET`

Fields inherited from interface com.bea.p13n.events.EventConstants
`TYPE_ALL`

Constructor Summary
`UserRegistrationEvent(javax.servlet.http.HttpServletRequest request)` Create a new UserRegistrationEvent.
`UserRegistrationEvent(javax.servlet.http.HttpServletRequest request, String newUserId)` Create a new UserRegistrationEvent.
`UserRegistrationEvent(String theSessionId, String theUserId, javax.servlet.http.HttpServletRequest theRequest)` Deprecated Use UserRegistrationEvent( HttpSession session, HttpServletRequest theRequest, String newUserId )

Method Summary

Methods inherited from class com.bea.p13n.tracking.events.TrackingEvent
`getSchemaKeys, getSession, getXMLNamespace, getXSDFile, setSchemaKeys, setSession, setXMLNamespace, setXSDFile`

Methods inherited from class com.bea.p13n.events.Event
`getApplication, getAttribute, getAttributeNames, getProperty, getTimeStamp, getType, removeAttribute, setApplication, setAttribute, toString`

Methods inherited from class com.bea.p13n.property.AbstractConfigurableEntity
`createMapKey, getCachedProperty, getExplicitProperty, getExplicitSetter, getImplicitProperty, getJndiName, getPkString, getPropertyAsString, getPropertyCache, getPropertyNoDefault, getUniqueId, hasExplicitGetter, hasExplicitSetter, removeExplicitProperty, removeProperty, setExplicitProperty, setProperty, upcaseFirst`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bea.p13n.property.ConfigurableEntity
`getJndiName, getPkString, getPropertyAsString, getPropertyNoDefault, getUniqueId, removeProperty, setProperty`

Field Detail

### TYPE

    public static final String TYPE

  Event Type

  See Also
    Constants Summary

### TRACKED_ANONYMOUS_ID

    public static final String TRACKED_ANONYMOUS_ID

  Event attribute key name for tracking id Attribute value is a String

  See Also
    Constants Summary

Constructor Detail

### UserRegistrationEvent

    public UserRegistrationEvent(javax.servlet.http.HttpServletRequest request,
                                 String newUserId)

  Create a new UserRegistrationEvent. This constructor must be used for tracking anonymous users.

  Parameters
    `request` - the http servlet request object
    `newUserId` - the name of new registered user

### UserRegistrationEvent

    public UserRegistrationEvent(javax.servlet.http.HttpServletRequest request)

  Create a new UserRegistrationEvent. This constructor must be used for tracking anonymous users.

  Parameters
    `request` - the http servlet request object

### UserRegistrationEvent

    public UserRegistrationEvent(String theSessionId,
                                 String theUserId,
                                 javax.servlet.http.HttpServletRequest theRequest)

  Deprecated Use UserRegistrationEvent( HttpSession session, HttpServletRequest theRequest, String newUserId )

  Create a new UserRegistrationEvent.

  Parameters
    `theSessionId` - from HttpSession.getId()
    `theUserId` - from HttpServletRequest.getRemoteUser() or equivalent
    `theRequest` - the http servlet request object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.